Bug 141288 - UptoDate not holding proxy settings
UptoDate not holding proxy settings
Product: Fedora Legacy
Classification: Retired
Component: up2date (Show other bugs)
All Linux
medium Severity medium
: ---
: ---
Assigned To: Fedora Legacy Bugs
Fanny Augustin
yum channel fedora-core-2 from http:...
: Security
Depends On:
  Show dependency treegraph
Reported: 2004-11-29 22:18 EST by Bob Dawson
Modified: 2007-04-18 13:16 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2005-04-20 19:42:27 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Bob Dawson 2004-11-29 22:18:14 EST
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.6) Gecko/20040510

Description of problem:
When using UpToDate I set the proxy server address:port but the
program is not using the proxy server to dowmload the updates and is
clogging my ISDN link instead of coming down the satellite link.
When I set the proxy the Red Ball with ! changes to Blue Ball with
tick and sometimes Green Ball with top and bottom horizontal swoosh.
Network proxy is set correctlt, Mozilla proxy is set correctly. Both
Network and Mozilla retain the set Proxy sttings.

Version-Release number of selected component (if applicable):

How reproducible:

Steps to Reproduce:
1.Right click red ball next to clock
2.Configuration heading
3.Enable HTTP proxy
4.Red ball turns Green
5.Green Ball turns Red after 2 minutes

Expected Results:  Proxy should remain set

Additional info:

Cant get any automatic updates with out clogging my very expensive
ISDN link.
Comment 1 Matthew Miller 2005-04-11 18:19:43 EDT
[Bulk move of FC2 bugs to Fedora Legacy. See
Comment 2 Matthew Miller 2005-04-11 18:28:39 EDT
Is this valid for Fedora Legacy? (No up2date support, right? Or is someone out
there using Current?)
Comment 3 Jesse Keating 2005-04-12 13:09:46 EDT
up2date can be used with a yum or apt backend, so it is still relevant.  Not
sure if it passes this proxy information on to these backends, warrents some
looking into, although not really a security issue.
Comment 4 Marc Deslauriers 2005-04-20 19:42:27 EDT
The proxy setting needs to be set in two places. The Red Hat Network Alert
Notification tool has a proxy setting. The up2date tool also has a proxy
setting. I'm guessing you need to run "up2date --configure" and set your proxy

I'm closing this as it is not a security issue.

Note You need to log in before you can comment on or make changes to this bug.